cropper 0.5.2
cropper: ^0.5.2 copied to clipboard

Crop any widget/image in Android, iOS, Web and Desktop with fancy and customizable UI, in pure Dart code.

cropper #

pub package

A Flutter package for cropping any widget, not only images. This package is entirely written in Dart and supports Android, iOS, Web and Desktop. Also, because of being independent from native platform, it does not increase size of your apps output (e.g. apk).

Supported platforms #

  • Flutter Android
  • Flutter iOS
  • Flutter Web (as of 2020 Nov 24)*
  • Flutter Desktop

* In order to run Crop on web correctly, flutter version 1.24.0-8.0.pre.359 or above is needed (master channel) and you need to enable CanvasKit/Skia when compiling: flutter build web --dart-define=FLUTTER_WEB_USE_SKIA=true

Web Demo | Install from Google Play

Screenshot

Getting Started #

In your pubspec.yaml file add:

dependencies:
  cropper: any

Then, in your code import:

import 'package:cropper/cropper.dart';

Now in build function, put a Crop widget in the widget tree and you are done. Please don't forget to check /example folder, there is much more.

2
likes
120
pub points
58%
popularity

Crop any widget/image in Android, iOS, Web and Desktop with fancy and customizable UI, in pure Dart code.

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

alikhaleghi76@gmail.com

License

MIT (LICENSE)

Dependencies

flutter, vector_math

More

Packages that depend on cropper